﻿@model Avira.MarketingResearch.Model.ViewModels.ProjectDashBoard.MainProjectUpdateDBViewModel
@{
    ViewData["Title"] = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";

    @using Microsoft.AspNetCore.Http
    @using Newtonsoft.Json;
    @using Avira.MarketingResearch.Model.ViewModels;
    var Permissions = Context.Session.GetString("PermissionList");
    var controllerName = this.ViewContext.RouteData.Values["controller"].ToString();
    var PermissionList = JsonConvert.DeserializeObject<List<PermissionsByUserRoleIdViewModel.PermissionByRoleId>>(Permissions);
    var permission = PermissionList.FirstOrDefault(x => x.PermissionName.Equals(controllerName));
    var userRoleName = Context.Session.GetString("UserRoleName");
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
@*
    <script src="~/ckeditor/ckeditor.js"></script>*@
<!-- begin #content -->
@using (Html.BeginForm("Edit", "Project", FormMethod.Post, new { @class = "form-horizontal", @id = "formId" }))
{
    @Html.AntiForgeryToken()
    <div id="content" class="content">
        <!-- begin breadcrumb -->
        <!-- end breadcrumb -->
        <!-- begin page-header -->
        <h1 class="page-header">Edit Project </h1>
        <!-- end page-header -->
        <!-- begin section-container -->
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(Model => Model.projectUpdateDbViewModel.ProjectID)

        <div class="section-container section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-7">
                    <h4 class="m-t-0 p-b-10">Projects Details</h4>

                    <div class="form-group form-group-sm">
                        <label class="col-lg-3 col-form-label">Project Name<span class="text-danger">*</span></label>
                        <div class="col-lg-9">
                            @Html.EditorFor(Model => Model.projectUpdateDbViewModel.ProjectName, new { htmlAttributes = new { @class = "form-control", @readonly = "readonly" } })

                        </div>
                    </div>
                    <div class="form-group form-group-sm">
                        <label class="col-lg-3 col-form-label">Remarks</label>
                        <div class="col-lg-9">
                            @Html.TextAreaFor(Model => Model.projectUpdateDbViewModel.Remark, htmlAttributes: new { @class = "form-control", @readonly = "readonly" })
                            <script>

                                CKEDITOR.replace('projectUpdateDbViewModel.Remark', {
                                    height: 40,
                                    toolbarGroups: [{
                                        "name": "basicstyles",
                                        "groups": ["basicstyles"]
                                    },
                                    {
                                        "name": "links",
                                        "groups": ["links"]
                                    },
                                    {
                                        "name": "paragraph",
                                        "groups": ["list", "blocks"]
                                    },
                                    {
                                        "name": "document",
                                        "groups": ["mode"]
                                    },
                                    {
                                        "name": "insert",
                                        "groups": ["insert"]
                                    },
                                    {
                                        "name": "styles",
                                        "groups": ["styles"]
                                    },
                                    {
                                        "name": "about",
                                        "groups": ["about"]
                                    }
                                    ],
                                    removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                                });

                            </script>
                        </div>
                    </div>

                </div>
                <div class="col-lg-5 p-l-40">
                    <h4 class="m-t-0 p-b-10">Time Details</h4>

                    <div class="form-group m-b-10">
                        <label class="col-lg-4 col-form-label"><span class="text-danger">*</span>Start Date</label>
                        <div class="col-lg-5">
                            <div class="form-group">

                                @Html.TextBox("txtStartDate", Model.projectUpdateDbViewModel.StartDate.ToShortDateString(), new { @class = "form-control", @readonly = "readonly" })

                            </div>
                        </div>
                    </div>

                    <div class="form-group m-b-10">
                        <label class="col-lg-4 col-form-label"><span class="text-danger">@***@</span>Deadline Date</label>
                        <div class="col-lg-5">
                            @Html.TextBox("txtEndDate",Model.projectUpdateDbViewModel.EndDate.ToShortDateString(),
                            new {  @class = "form-control", @readonly = "readonly" })
                        </div>
                    </div>

                    @*<div class="form-group m-b-10">
                            <label class="col-lg-4 col-form-label"><span class="text-danger"></span>Standard hour</label>
                            <div class="col-lg-5">
                                <input type="text" class="form-control" disabled />
                            </div>
                        </div>

                        <div class="form-group m-b-10">
                            <label class="col-lg-4 col-form-label">Actual Hours Spent</label>
                            <div class="col-lg-5">
                                <input type="text" class="form-control" disabled />
                            </div>
                        </div>*@

                </div>
            </div>
            <!-- end row -->
        </div>
        <div class="section-container section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-10">
                    <div class="row">
                        <h4 class="col-lg-6 m-t-0 p-b-10">Analyst Details</h4>
                        <h4 class="col-lg-6 m-t-0 p-b-10">Role</h4>
                    </div>

                    <div class="form-group m-b-10">
                        <label class="col-lg-3 col-form-label"></label>
                        <div class="col-lg-4">
                            <h5>Author</h5>
                        </div>
                        <div class="col-lg-4">
                            <h5>Co-Author</h5>
                        </div>
                    </div>


                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsUpdateTrendDbViewModel.AnalysisType", "Trends Forms")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Trends Forms</label>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateTrendDbViewModel.AuthorUserIDs, (SelectList)ViewBag.AuthorList, new { @class = "form-control DropListOne", required = "required" })

                        </div>
                        <div class="col-lg-5">

                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateTrendDbViewModel.CoAuthorUserIDs, (SelectList)ViewBag.CoAuthorList, new { @class = "form-control selectpicker DropListMultiple", multiple = "multiple", data_live_search = "true" })
                        </div>

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsUpdateCompanyDbViewModel.AnalysisType", "Company Profiles")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Company Profiles</label>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateCompanyDbViewModel.AuthorUserIDs, (SelectList)ViewBag.AuthorList, new { id = "ComProfddlAuthorId", @class = "form-control DropListOne", required = "required" })

                        </div>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateCompanyDbViewModel.CoAuthorUserIDs, (SelectList)ViewBag.CoAuthorList, new { id = "ComProfddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>
                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsUpdateMarketDbViewModel.AnalysisType", "Market Sizing")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Market Sizing</label>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateMarketDbViewModel.AuthorUserIDs, (SelectList)ViewBag.AuthorList, new { id = "MarkSizddlAuthorId", @class = "form-control DropListOne", required = "required" })

                        </div>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateMarketDbViewModel.CoAuthorUserIDs, (SelectList)ViewBag.CoAuthorList, new { id = "MarkSizddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsUpdateQuantDbViewModel.AnalysisType", "Quantative info")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Quantative info</label>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateQuantDbViewModel.AuthorUserIDs, (SelectList)ViewBag.AuthorList, new { id = "QuantInfoddlAuthorId", @class = "form-control DropListOne", required = "required" })

                        </div>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateQuantDbViewModel.CoAuthorUserIDs, (SelectList)ViewBag.CoAuthorList, new { id = "QuantInfoddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>

                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsUpdatePrimiDbViewModel.AnalysisType", "Primaries Info")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Primaries Info</label>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdatePrimiDbViewModel.AuthorUserIDs, (SelectList)ViewBag.AuthorList, new { id = "PrimInfoddlAuthorId", @class = "form-control DropListOne", required = "required" })

                        </div>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdatePrimiDbViewModel.CoAuthorUserIDs, (SelectList)ViewBag.CoAuthorList, new { id = "PrimInfoddlCoAuthorId", @class = "form-control selectpicker", multiple = "multiple", data_live_search = "true" })

                        </div>
                    </div>

                </div>
            </div>
            <!-- end row -->
        </div>

        <div class="section-container section-with-top-border">
            <div class="row">
                <div class="col-lg-10">

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsUpdateApproverDbViewModel.AnalysisType", "Approver")
                        <label class="col-lg-2 col-form-label"><span class="text-danger">*</span>Approver</label>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateApproverDbViewModel.AuthorUserIDs, (SelectList)ViewBag.ApproverList, new { id = "ApproverAuthorddlId", @class = "form-control DropListOne", required = "required" })

                        </div>


                    </div>

                    <div class="form-group m-b-10">
                        @Html.Hidden("projectAnalistDetailsUpdateCoApproverDbViewModel.AnalysisType", "Co-Approver")
                        <label class="col-lg-2 col-form-label">Co-Approver</label>
                        <div class="col-lg-5">
                            @Html.ListBoxFor(Model => Model.projectAnalistDetailsUpdateCoApproverDbViewModel.CoAuthorUserIDs, (SelectList)ViewBag.CoApproverList, new { id = "CoApproverCoAuthorddlId", @class = "form-control selectpicker DropListMultiple", multiple = "multiple", data_live_search = "true" })

                        </div>


                    </div>

                </div>
            </div>


        </div>
        <!-- end section-container -->
        <!-- begin section-container -->
        <!-- end section-container -->
        <!-- begin section-container -->
        <!-- end section-container -->
        <!-- begin section-container -->
        <!-- end section-container -->
        <!-- begin section-container -->
        <div class="section-container section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-8">
                    <h4 class="m-t-0 p-b-10">Project Mapping</h4>

                    <div class="form-group m-b-10">
                        <label class="col-lg-3 col-form-label"><span class="text-danger">*</span>Broad Industries</label>
                        <div class="col-lg-8">
                            <input type="text" class="form-control" value="@ViewBag.BroadIndustry" readonly />

                        </div>

                    </div>

                    <div class="form-group m-b-10">

                        <label class="col-lg-3 col-form-label"><span class="text-danger">*</span>Industries</label>
                        <div class="col-lg-8">
                            <input type="text" class="form-control" value="@ViewBag.Industry" readonly />

                        </div>

                    </div>

                    <div class="form-group m-b-10">

                        <label class="col-lg-3 col-form-label"><span class="text-danger">*</span>Markets</label>
                        <div class="col-lg-8">
                            <input type="text" class="form-control" value="@ViewBag.Market" readonly />
                        </div>

                    </div>

                    <div class="form-group m-b-10">

                        <label class="col-lg-3 col-form-label"><span class="text-danger">*</span>Sub-Markets</label>
                        <div class="col-lg-8">
                            <input type="text" class="form-control" value="@ViewBag.SubMarket" readonly />
                        </div>

                    </div>

                    <!-- end row -->
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-4">
                    <h4 class="m-t-0">Project Requisites</h4>

                    <div class="form-group form-group-sm">
                        <label class="col-lg-6 col-form-label"><span class="text-danger">*</span>Minimum Number Of Trends</label>
                        <div class="col-lg-4">
                            @Html.TextBoxFor(Model => Model.projectUpdateDbViewModel.MinTrends, new { @type = "number", @class = "form-control", @readonly = "readonly" })

                        </div>
                    </div>
                    <div class="form-group form-group-sm">
                        <label class="col-lg-6 col-form-label"><span class="text-danger">*</span>Minimum Number Of Company Profiles</label>
                        <div class="col-lg-4">
                            @Html.TextBoxFor(Model => Model.projectUpdateDbViewModel.MinCompanyProfiles, new { @type = "number", @class = "form-control", @readonly = "readonly" })
                        </div>
                    </div>
                    <div class="form-group form-group-sm">
                        <label class="col-lg-6 col-form-label"><span class="text-danger">*</span>Minimum Number Of Primaries</label>
                        <div class="col-lg-4">
                            @Html.TextBoxFor(Model => Model.projectUpdateDbViewModel.MinPrimaries, new { @type = "number", @class = "form-control", @readonly = "readonly" })
                        </div>
                    </div>

                </div>
                <!-- end col-6 -->
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        <!-- begin section-container -->
        <div class="section-container section-with-top-border p-b-10">
            <!-- begin row -->
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="row m-b-25">
                        <div class="col-lg-6">
                            @Html.HiddenFor(Model => Model.projectUpdateDbViewModel.ProjectStatusName, new { id = "hidProjectStatus" })
                            <a class="btn btn-rounded btn-inverse btn-block" asp-controller="Project" asp-action="ProjectStatus" asp-route-id="@Model.projectUpdateDbViewModel.ProjectID" id="btnLaunch">Launch Project</a>
                        </div>
                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <p>
                        @*1)read 2)create read 3) update create read 4) delete update create read*@
                        @if (permission != null && permission.PermissionLevel > 2)
                        {
                            <input type="submit" class="btn btn-white btn-rounded m-b-5 width-100" value="Update" />
                            @*<button type="button" class="btn btn-inverse btn-rounded m-b-5 width-100" id="btnClear">Clear</button>*@
                        }
                    </p>
                </div>
                <!-- end col-6 -->
            </div>
            <!-- end row -->
        </div>


        <!-- end section-container -->
        <!-- begin #footer -->
        <div id="footer" class="footer">
            <span class="pull-right">
                <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                    <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
                </a>
            </span>
            &copy; 2019 <b>Avira Insights</b> All Right Reserved
        </div>
        <!-- end #footer -->
    </div>
    <script>
        $().ready(function () { $(".DropListOne").removeAttr('multiple'); })
        $(document).ready(function () {
            var tempstr = $("#hidProjectStatus").val();

            if (tempstr == 'To Be Launched') {
                $("#btnLaunch").prop('disabled', false);


            } else {
                $("#btnLaunch").prop('disabled', true);
                $("#btnLaunch").attr("disabled", "disabled");
                $("#btnLaunch").removeAttr("href");
            }

            $("#btnClear").click(function () {
                $("#formId").trigger('reset');
            });
        });


    </script>


    <script type="text/javascript">
        var j = jQuery.noConflict();
        j(function () {

            j('.DropListMultiple').multiselect({
                includeSelectAllOption: true
            });

        });


    </script>
}

<!-- end #content -->
